agent_id: episodic-indexer
model: claude-haiku-4-6
squad: memory-and-knowledge
thread_type: L-Thread
purpose: Index all session episodes with metadata; enable fast episode retrieval by date, agent, topic, outcome
status: ready
created: 2026-02-24
